﻿.dice-container {
    display: flex;
    align-items: center;
    justify-content: center;
    vertical-align :central;
    flex-wrap: wrap;
    align-content: center;
    font-family: 'Open Sans', sans-serif;
    background: linear-gradient(top, #222, #333);
}

.first-face {
    display: flex;
    justify-content: center;
    align-items: center;
}

.second-face {
    display: flex;
    justify-content: space-between;
}

    .second-face .pip:nth-of-type(2) {
        align-self: flex-end;
    }

.third-face {
    display: flex;
    justify-content: space-between;
}

    .third-face .pip:nth-of-type(2) {
        align-self: center;
    }

    .third-face .pip:nth-of-type(3) {
        align-self: flex-end;
    }

.fourth-face, .sixth-face {
    display: flex;
    justify-content: space-between;
}

    .fourth-face .column, .sixth-face .column {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

.fifth-face {
    display: flex;
    justify-content: space-between;
}

    .fifth-face .column {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

        .fifth-face .column:nth-of-type(2) {
            justify-content: center;
        }

[class$="face"] {
    margin: 5px;
    padding: 5px;
    background-color: #e7e7e7;
    width: 85px;
    height: 85px;
    object-fit: contain;
    box-shadow: inset 0 5px white, inset 0 -5px #bbb, inset 5px 0 #d7d7d7, inset -5px 0 #d7d7d7;
    border-radius: 10%;
}

.pip {
    display: block;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    margin: 4px;
    background-color: #333;
    box-shadow: inset 0 3px #111, inset 0 -3px #555;
}